<?php
namespace Controllers;
// Контроллер для клиетов
class Partners extends Controller {

	public function __construct() {
		parent::__construct();
		$this->model=new \Models\Partners($this->db, $this->f3);
	}

	// Поиск клиента по номеру карты
	function search() {
		$card=$this->f3->get('GET.card');
		if(!$card) {
			$this->f3->set('page_data', $this->messages->message('not_enough_data'));
			return;
		}
		$partner=$this->model->select_partner(array('card=?', $card), array('limit'=>1));
		if($partner) {
			$this->f3->set('COOKIE.partner_id', $partner[0]['partner_id']);
			$this->f3->set('COOKIE.partner_name', $partner[0]['name']);
			$contact=$partner[0]['email'];
			if(!$contact) {
				$contact=$partner[0]['phone'];
			}
			$this->f3->set('COOKIE.partner_contact', $contact);
			$this->f3->set('COOKIE.discount', $partner[0]['discount']);
			$res= array(
				'success'=>true,
				'txt'=>'save_successful',
				'reload'=>'.receiptlines',
				'close_all_window'=>true
			);
			echo json_encode($res);
			exit();
		}
		else {
			$this->f3->set('page_data', $this->messages->message('not_found'));
		}
	}
}